## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 15;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _description %{expand:
Client-side sans-I/O SOCKS proxy implementation. Supports SOCKS4, SOCKS4A, and
SOCKS5.  socksio is a sans-I/O library similar to h11 or h2, this means the
library itself does not handle the actual sending of the bytes through the
network, it only deals with the implementation details of the SOCKS protocols
so you can use it in any I/O library you want.}


Name:           python-socksio
Version:        1.0.0
Release:        %autorelease
Summary:        Client-side sans-I/O SOCKS proxy implementation
License:        MIT
URL:            https://github.com/sethmlarson/socksio
Source:         %{pypi_source socksio}
# https://github.com/sethmlarson/socksio/pull/61
Patch:          0001-Unpin-flit-core-dependency.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest


%description %{_description}


%package -n python3-socksio
Summary:        %{summary}


%description -n python3-socksio %{_description}


%prep
%autosetup -n socksio-%{version} -p 1
# drop coverage addopts
rm pytest.ini


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -L socksio


%check
%pytest


%files -n python3-socksio -f %{pyproject_files}
%doc README.md CHANGELOG.md
# flit does not mark licenses as License-Files yet
%license %{python3_sitelib}/socksio-%{version}.dist-info/LICENSE


%changelog
## START: Generated by rpmautospec
* Wed Feb 19 2025 Carl George <carlwgeorge@fedoraproject.org> - 1.0.0-15
- Use upstream patch for unpinning flit-core dependency

* Wed Feb 19 2025 Carl George <carlwgeorge@fedoraproject.org> - 1.0.0-14
- Macro cleanup

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.0.0-11
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.0.0-7
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.0.0-4
- Rebuilt for Python 3.11

* Fri Mar 04 2022 Miro Hrončok <miro@hroncok.cz> - 1.0.0-3
- Mark the LICENSE with %%license

* Fri Mar 04 2022 Miro Hrončok <miro@hroncok.cz> - 1.0.0-2
- Do not manually BuildRequire flit-core, it is marked as [build-system]
  requirement in pyproject.toml

* Thu Mar 03 2022 Carl George <carl@george.computer> - 1.0.0-1
- Initial package rhbz#2060218
## END: Generated by rpmautospec
